<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
       xmlns:aop="http://www.springframework.org/schema/aop"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:jee="http://www.springframework.org/schema/jee" xmlns:tx="http://www.springframework.org/schema/tx"
       xmlns:task="http://www.springframework.org/schema/task"
       xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="
            http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-3.0.xsd
            http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
            http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.0.xsd
            http://www.springframework.org/schema/jee http://www.springframework.org/schema/jee/spring-jee-3.0.xsd
            http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-3.0.xsd
            http://www.springframework.org/schema/task http://www.springframework.org/schema/task/spring-task-3.0.xsd
            http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-3.0.xsd">

    <context:component-scan base-package="com.server"/>

    <bean id="placeholderConfigurer" class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
        <property name="locations">
            <list>
                <value>/WEB-INF/application.properties</value>
            </list>
        </property>
    </bean>

    <bean id="loginHolder" class="com.shop.model.auth.AuthenticatedUserHolder" scope="session">
        <aop:scoped-proxy/>
    </bean>


    <bean class="com.server.PeersProcessingController" id="peersProcessingController">
    </bean>


    <bean class="com.server.MuzekWelcomePage_1" id="muzekWelcomePage_1">
    </bean>

    <bean class="com.server.MuzekWelcomePage_Frame" id="muzekWelcomePage_frame">
    </bean>

    <bean class="com.server.MuzekWelcomePage_2" id="muzekWelcomePage_2">
    </bean>

    <bean class="com.server.VkImporterController" id="vkImporterController">
    </bean>

    <bean class="com.server.YouTubeImporterController" id="youtubeImporterController">
    </bean>

    <bean class="com.server.LocaleLandingController" id="localeLandingController">
    </bean>

    <bean class="com.server.LocaleInstalledPageController" id="localeInstalledPageController">
    </bean>

    <bean class="com.shop.web.service.HemechooRequestService" id="hemechooRequestService">

    </bean>

    <bean class="com.shop.web.service.LocatorService" id="locatorService">
        <property name="ipDatabaseDir" value="${hemechoo.ipdatabase.storage.dir}"/>
    </bean>

    <bean class="com.shop.web.service.PeersProcessorService" id="peersProcessorService">

    </bean>


    <bean id="wicketApplication" class="com.shop.web.WicketApplication"/>

    <bean id="simpleService" class="com.shop.web.service.SimpleService"/>




    <bean class="org.springframework.web.servlet.handler.SimpleUrlHandlerMapping">
        <property name="mappings">
            <props>

                <prop key="/app/request">hemechooRequestService</prop>

                <prop key="*.do">muzekWelcomePage_1</prop>
                <prop key="*.play">muzekWelcomePage_1</prop>

                <prop key="/iv*">muzekWelcomePage_1</prop>
                <prop key="/iv/*">muzekWelcomePage_2</prop>
                <prop key="/in">muzekWelcomePage_1</prop>
                <prop key="/iv">muzekWelcomePage_2</prop>

                <prop key="/vk/">vkImporterController</prop>
                <prop key="/youtube/">youtubeImporterController</prop>
                <prop key="/installed">localeInstalledPageController</prop>
                <prop key="/">localeLandingController</prop>


                <prop key="/start_peers_processing">peersProcessingController</prop>
            </props>
        </property>
    </bean>






    <bean id="viewResolver"
          class="org.springframework.web.servlet.view.UrlBasedViewResolver">
        <property name="viewClass"
                  value="org.springframework.web.servlet.view.JstlView" />
        <property name="prefix" value="/WEB-INF/jsp/" />
        <property name="suffix" value=".jsp" />
    </bean>


</beans>
